%define ver     	1.0.1
%define name		rubrica
%define rel      	1
%define prefix   	/usr
%define sysconfdir	/etc

Name:      %name
Summary:   Rubrica, an address book for Gnome Environment.
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Applications
Source:    %{name}-%{PACKAGE_VERSION}.tar.bz2
URL:       http://digilander.iol.it/nfragale
Vendor:    Nicola Fragale <nicolafragale@libero.it>
Packager:  Nicola Fragale <nicolafragale@libero.it>
BuildRoot: %{_tmppath}/%{name}-%{version}-buidroot
Requires:  libgnomeui >= 2.0 libxslt >= 1.0
BuildRequires: libgnomeui-devel libxslt-devel

#Requires:  libgnomeui >= 2.0, libmcrypt, bash, rubrica-libs = 1.0.1
#BuildRequires: libgnomeui-devel, libmcrypt-devel

%description
An address book for Gnome. 
Una rubrica per gnome.


%prep
rm -rf $RPM_BUILD_ROOT


%setup
autoconf
automake


%build
LC_ALL=""
LANG=""
export LC_ALL LANG
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir} --datadir=%{_datadir} --disable-install-schemas --enable-nls
make 


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} datadir=$RPM_BUILD_ROOT%{_datadir} install 


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)

%doc README ChangeLog COPYING AUTHORS CREDITS NEWS TODO doc/examples.rub

%{prefix}/bin/*
%{prefix}/share/rubrica/script/*
%{prefix}/share/rubrica/stylesheet/*
%{prefix}/share/rubrica/nautilus-script/*
%{prefix}/share/locale/*/LC_MESSAGES/rubrica.mo
%{prefix}/share/pixmaps/rubrica/*
%{prefix}/share/applications/rubrica.desktop
%{prefix}/share/services/rubrica.desktop
%{sysconfdir}/gconf/schemas/rubrica.schemas


%post
echo installing rubrica.schemas
gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{sysconfdir}/gconf/schemas/rubrica.schemas > /dev/null 2>&1

echo -----------------------------------------------------
echo   md5sum of %{prefix}/bin/rubrica
echo
md5sum %{prefix}/bin/rubrica|(read A B; echo $A)
echo
echo use this value to check program integrity at any time
echo -----------------------------------------------------

